Package org.eclipse.rdf4j.sail.federation.algebra

## Class NaryJoin

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.sail.federation.algebra.AbstractNaryOperator<TupleExpr>
    - - org.eclipse.rdf4j.sail.federation.algebra.AbstractNaryTupleOperator
      - - org.eclipse.rdf4j.sail.federation.algebra.NaryJoin

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `GraphPatternGroupable`, `QueryModelNode`, `TupleExpr`, `VariableScopeChange`

      public class NaryJoin
      extends AbstractNaryTupleOperator

  A natural join between two tuple expressions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NaryJoin()` |
    `NaryJoin​(List<TupleExpr> args)` | Creates a new natural join operator.
    `NaryJoin​(TupleExpr... args)` | Creates a new natural join operator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `NaryJoin` | `clone()` | Returns a (deep) clone of this query model node.
    `<X extends Exception> void` | `visit​(QueryModelVisitor<X> visitor)` | Visits this node.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.federation.algebra.AbstractNaryTupleOperator

      `getAssuredBindingNames, getBindingNames`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.federation.algebra.AbstractNaryOperator

      `addArg, getArg, getArgs, getNumberOfArguments, removeArg, replaceChildNode, setArg, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `equals, getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visitChildren`

- - ### Constructor Detail

    - #### NaryJoin

          public NaryJoin()

    - #### NaryJoin

          public NaryJoin​(TupleExpr... args)

      Creates a new natural join operator.

    - #### NaryJoin

          public NaryJoin​(List<TupleExpr> args)

      Creates a new natural join operator.

  - ### Method Detail

    - #### visit

          public <X extends Exception> void visit​(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Throws:
        `X extends Exception`

    - #### clone

          public NaryJoin clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `TupleExpr`
      Overrides:
        `clone` in class `AbstractNaryTupleOperator`
      Returns:
        A deep clone of this query model node.